# Disable Kafka Connect

> For the complete documentation index, see [llms.txt](https://docs.redpanda.com/llms.txt). Component-specific: [cloud-data-platform-full.txt](https://docs.redpanda.com/cloud-data-platform-full.txt)

---
title: Disable Kafka Connect
latest-operator-version: v26.1.4
latest-console-tag: v3.7.3
latest-connect-version: 4.93.0
latest-redpanda-tag: v26.1.9
docname: managed-connectors/disable-kc
page-component-name: cloud-data-platform
page-version: master
page-component-version: master
page-component-title: Cloud
page-relative-src-path: managed-connectors/disable-kc.adoc
page-edit-url: https://github.com/redpanda-data/cloud-docs/edit/main/modules/develop/pages/managed-connectors/disable-kc.adoc
description: Learn how to disable Kafka Connect using the Cloud API.
page-git-created-date: "2025-08-07"
page-git-modified-date: "2026-05-26"
---

<!-- Source: https://docs.redpanda.com/cloud-data-platform/develop/managed-connectors/disable-kc.md -->

Kafka Connect is disabled by default on new clusters. If you previously enabled Kafka Connect on a cluster and want to disable it, you can use the [Cloud API](https://docs.redpanda.com/api/doc/cloud-controlplane/topic/topic-cloud-api-overview).

> 📝 **NOTE**
>
> Redpanda Support does not manage or monitor Kafka Connect, but Support can enable the feature for your account.

## [](#verify-kafka-connect-is-enabled)Verify Kafka Connect is enabled

If Kafka Connect is enabled on your cluster, you will see it configured on the **Connect** page in the Redpanda Cloud UI.

You can also verify with the Cloud API:

```bash
curl -sX GET "https://api.redpanda.com/v1/clusters/{cluster.id}" \
 -H "Authorization: Bearer $AUTH_TOKEN" \
 -H 'accept: application/json'  | jq -r '.cluster.kafka_connect'
```

Replace `{cluster.id}` with your actual cluster ID. You can find the cluster ID in the Redpanda Cloud UI. Look in the **Details** section of the cluster overview.

If Kafka Connect is enabled, the response will show:

```bash
  "enabled": true
```

## [](#prerequisites)Prerequisites

-   You have the cluster ID of a cluster that has Kafka Connect enabled.

-   You have a valid bearer token for the Cloud API. For details, see [Authenticate to the API](https://docs.redpanda.com/api/doc/cloud-controlplane/authentication).


> ❗ **IMPORTANT**
>
> Make sure to stop any active connectors gracefully before disabling Kafka Connect to avoid data loss or incomplete processing.

## [](#disable-kafka-connect)Disable Kafka Connect

After you are authenticated to the Cloud API, make a [`PATCH /v1/clusters/{cluster.id}`](https://docs.redpanda.com/api/doc/cloud-controlplane/operation/operation-clusterservice_updatecluster) request, replacing `{cluster.id}` with your actual cluster ID.

```bash
curl -X PATCH "https://api.redpanda.com/v1/clusters/{cluster.id}" \
  -H "Authorization: Bearer $AUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"kafka_connect":{"enabled":false}}'
```

The `PATCH` request returns the ID of a long-running operation. You can check the status of the operation by polling the [`GET /operations/{id}`](https://docs.redpanda.com/api/doc/cloud-controlplane/operation/operation-operationservice_getoperation) endpoint:

```bash
curl -X GET "https://api.redpanda.com/v1/operations/\{operation.id\}" \
  -H "Authorization: Bearer $AUTH_TOKEN" \
  -H "Content-Type: application/json"
```

When the operation is complete, the status will show `"state": "STATE_COMPLETED"`. You can verify that Kafka Connect has been disabled by running the verification command from the previous section. The response should show:

```bash
  "enabled": false
```